gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

Management of transactions.

To be added GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void To be added To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor

  Construct this object, which allows a fine-tune and full control of transactions to be used with providers.

  a
  a
  To be added
- Property
  System.String

  Gets / Sets the name of the given transaction.

  a

  This is very useful when using providers that support named transactions.

- Property
  Gda.TransactionIsolation

  Gets / Sets the isolation level for the given transaction.

  a

  This specifies the locking behavior for the database connection during the given transaction.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.